Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.search.controls
Interface CommunitySearchControl

All Known Subinterfaces:
  GsKeywordSearchControl

    public interface CommunitySearchControl

This base interface contains methods that may be used by GroupSpace and non-GroupSpace communities.

Instantiate the control in a page flow as follows:

`@Control`
CommunitySearchControlBean gsKeywordSearchControl;

Nested Class Summary
`static interface` | `CommunitySearchControl.CommunitySearchParams` Scope the search

Method Summary
`SortableFilterablePagedResult<CommunityMembership>` | `findAllMemberships()` Find all memberships of this community
`SortableFilterablePagedResult<CommunityMembership>` | `findAllMemberships(CommunityDefinition cdef)` Find all memberships of the named community
`SortableFilterablePagedResult<GenericURL>` | `getEligibleToJoinCommunities(MemberMembershipCriteria criteria)` Find all GroupSpace communites that I don't belong to, but am eligible to join.
`SortableFilterablePagedResult<CommunityMembership>` | `getMembershipsForCapability(MembershipCapability msc)` Get the Set of CommunityMemberships having this MembershipCapability
`SortableFilterablePagedResult<GenericURL>` | `getMyCommunityURLs(MemberMembershipCriteria criteria)` Find all communities of which this user is a member.
`SortableFilterablePagedResult<String>` | `getMyCommunityURLsAsString(MemberMembershipCriteria criteria)` Find all communities of which I'm a member.
`CommunityMembershipsEnumerator` | `getUsernamesForCapability(MembershipCapability msc)` Get the list of usernames of memberships in this community having this MembershipCapability.

Method Detail

### getUsernamesForCapability

    CommunityMembershipsEnumerator getUsernamesForCapability(MembershipCapability msc)
                                                             throws Exception

  Get the list of usernames of memberships in this community having this MembershipCapability.

  Parameters
    `msc` -
  Throws
    `Exception`

### getMembershipsForCapability

    SortableFilterablePagedResult<CommunityMembership> getMembershipsForCapability(MembershipCapability msc)
                                                                                   throws Exception

  Get the Set of CommunityMemberships having this MembershipCapability

  Throws
    `Exception`

### findAllMemberships

    SortableFilterablePagedResult<CommunityMembership> findAllMemberships()
                                                                          throws Exception

  Find all memberships of this community

  Throws
    `Exception`

### findAllMemberships

    SortableFilterablePagedResult<CommunityMembership> findAllMemberships(CommunityDefinition cdef)
                                                                          throws Exception

  Find all memberships of the named community

  Throws
    `Exception`

### getMyCommunityURLs

    SortableFilterablePagedResult<GenericURL> getMyCommunityURLs(MemberMembershipCriteria criteria)
                                                                 throws Exception

  Find all communities of which this user is a member. Return a set of community GenericURLs

  Throws
    `Exception`

### getEligibleToJoinCommunities

    SortableFilterablePagedResult<GenericURL> getEligibleToJoinCommunities(MemberMembershipCriteria criteria)
                                                                           throws Exception

  Find all GroupSpace communites that I don't belong to, but am eligible to join. Return null if there are none. Throw an exception if anonymous user tries to use this.

  Throws
    `Exception`

### getMyCommunityURLsAsString

    SortableFilterablePagedResult<String> getMyCommunityURLsAsString(MemberMembershipCriteria criteria)
                                                                     throws Exception

  Find all communities of which I'm a member. Return a set of community GenericURLs

  Throws
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved